package com.brainysoftware.jdk5.app13;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;

public class BufferedReaderTest {
    public static void main(String[] args) {
        try {
            char[] chars = new char[2];
            chars[0] = '\u4F60'; // representing ?
            chars[1] = '\u597D'; // representing ?;
            String encoding = "GB18030";
            File textFile = new File("C:\\temp\\myFile.txt");
            PrintWriter writer = new PrintWriter(textFile, encoding);
            writer.write(chars);
            writer.close();

            // read back
            InputStreamReader inputStreamReader = new InputStreamReader(
                    new FileInputStream(textFile), encoding);
            BufferedReader bufferedReader = new BufferedReader(
                    inputStreamReader);
            char[] chars2 = new char[2];
            bufferedReader.read(chars2);
            System.out.print(chars2[0]);
            System.out.print(chars2[1]);
            File textFile2 = new File("C:\\temp\\myFile22.txt");
            PrintWriter writer2 = new PrintWriter(textFile2, encoding);
            writer2.write(chars2);
            writer2.close();
            bufferedReader.close();
            inputStreamReader.close();
        } catch (IOException e) {
            System.out.println(e.toString());
        }
    }

}
